(RHSA-2008:0886) Important: libxml2 security update

2008-09-11T04:00:00
ID RHSA-2008:0886
Type redhat
Reporter RedHat
Modified 2018-03-14T19:27:12

Description

The libxml2 packages provide a library that allows you to manipulate XML files. It includes support to read, modify, and write XML and HTML files.

A heap-based buffer overflow flaw was found in the way libxml2 handled long XML entity names. If an application linked against libxml2 processed untrusted malformed XML content, it could cause the application to crash or, possibly, execute arbitrary code. (CVE-2008-3529)

A denial of service flaw was found in the way libxml2 processed certain content. If an application linked against libxml2 processed malformed XML content, it could cause the application to use an excessive amount of CPU time and memory, and stop responding. (CVE-2003-1564)

All users of libxml2 are advised to upgrade to these updated packages, which contain backported patches to resolve these issues.